# iqube.yaml
ssh:
  profiles:
    nodes:
      port: 22
      user: root
      key: /home/myoung/.ssh/id_rsa
      
cluster:     
  nodes:
    - name: lum01
      roles:
        - controller
        - worker
      ssh:
        host: 10.1.96.4
        profile: nodes
      advertise-address: 10.1.96.4
       
    - name: lum02
      roles:
        - controller
        - worker
      ssh:
        host: 10.1.96.3
        profile: nodes
      advertise-address: 10.1.96.3
       
    - name: lum03
      roles:
        - controller
        - worker
      ssh:
        host: 10.1.96.5
        profile: nodes
      advertise-address: 10.1.96.5

  bootstrap:
    control-plane-vip: 10.1.96.50
    load-balancer:
      enabled: true
      ip-range:
        start: 10.1.96.51
        end: 10.1.96.151
    local-storage:
      # If you want to define a location outside of the default
      # /var/lib/fuzzball directory, you can set this here.
      lum01:
        database: /LocalData/database-storage
        registry: /LocalData/registry-storage
        scheduler: /LocalData/scheduler-storage
      lum02:
        database: /LocalData/database-storage
        registry: /LocalData/registry-storage
        scheduler: /LocalData/scheduler-storage
      lum03:
        database: /LocalData/database-storage
        registry: /LocalData/registry-storage
        scheduler: /LocalData/scheduler-storage

  provisioners:
    - image: fuzzball-stack_6c573a00.sif
      config:
        tls:
          self-signed: true
          lets-encrypt: null
        services:
          fuzzball:
            hostname: ""
            sharedfs-directory: /sharedStorage
            #secure-registries:
            #- an.example.com:443
          registry:
            hostname: ""
            enabled: true
          authentication:
            hostname: ""
            realm: ""
            admin-password: ""
            secure-ldap-servers:
              - ds389.iqube.ciq.co:389

